Your library: browser games you've played or added
curl --request GET \
--url https://patch.gg/api/v1/me/library \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://patch.gg/api/v1/me/library', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://patch.gg/api/v1/me/library"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"project": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"owner": "<string>",
"slug": "<string>",
"handle": "patch/demo-mod",
"name": "<string>",
"summary": "<string>",
"description": "<string>",
"kind": "web_game",
"status": "active",
"cover_url": "<string>",
"min_players": 123,
"max_players": 123,
"source_visibility": "open_source",
"code_license": "MIT",
"art_license": "MIT",
"links": {
"discord": "https://discord.gg/patch",
"x": "https://x.com/patchgg",
"telegram": "https://t.me/patchgg",
"youtube": "https://youtube.com/@patchgg",
"twitch": "https://twitch.tv/patchgg",
"github": "https://github.com/patchgg/demo-mod"
},
"host_games": [
{
"slug": "<string>",
"name": "<string>",
"role": "host"
}
],
"latest_release": {
"version": "<string>",
"channel": "<string>",
"published_at": "<string>",
"trust_tier": "sandboxed"
},
"created_at": "<string>",
"updated_at": "<string>"
},
"added_at": "<string>",
"last_played_at": "<string>"
}
],
"next_cursor": "<string>"
}{
"error": {
"code": "version_exists",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "version_exists",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "version_exists",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "version_exists",
"message": "<string>",
"details": "<unknown>"
}
}Library
Your library: browser games you've played or added
Most recently played or added first. Games found on your PC stay on your PC.
GET
/
me
/
library
Your library: browser games you've played or added
curl --request GET \
--url https://patch.gg/api/v1/me/library \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://patch.gg/api/v1/me/library', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://patch.gg/api/v1/me/library"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"project": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"owner": "<string>",
"slug": "<string>",
"handle": "patch/demo-mod",
"name": "<string>",
"summary": "<string>",
"description": "<string>",
"kind": "web_game",
"status": "active",
"cover_url": "<string>",
"min_players": 123,
"max_players": 123,
"source_visibility": "open_source",
"code_license": "MIT",
"art_license": "MIT",
"links": {
"discord": "https://discord.gg/patch",
"x": "https://x.com/patchgg",
"telegram": "https://t.me/patchgg",
"youtube": "https://youtube.com/@patchgg",
"twitch": "https://twitch.tv/patchgg",
"github": "https://github.com/patchgg/demo-mod"
},
"host_games": [
{
"slug": "<string>",
"name": "<string>",
"role": "host"
}
],
"latest_release": {
"version": "<string>",
"channel": "<string>",
"published_at": "<string>",
"trust_tier": "sandboxed"
},
"created_at": "<string>",
"updated_at": "<string>"
},
"added_at": "<string>",
"last_played_at": "<string>"
}
],
"next_cursor": "<string>"
}{
"error": {
"code": "version_exists",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "version_exists",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "version_exists",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "version_exists",
"message": "<string>",
"details": "<unknown>"
}
}Authorizations
An API key (pch_...) or the token from pch login.
Query Parameters
Required range:
1 <= x <= 100The next_cursor from the previous page
Maximum string length:
500